/*
**      $VER: PluginFuncs.h 1.00 (9.8.1999)
**
**      Prototypes for the functions of #?.plugin
**
**      (C) Copyright 1999 Felix Schwarz
**      All Rights Reserved.
*/

#include "compiler.h"

struct PluginInfo * __saveds ASM FXPlug_Info(register __d1 ULONG type, register __d2 struct PluginInit *plg);
void __saveds ASM FXPlug_FreeInfo(register __d1 APTR mem, register __d2 struct PluginInit *plg);
APTR __saveds ASM FXPlug_InitPlugin(register __d1 struct PluginInit *plg);
void __saveds ASM FXPlug_ClosePlugin(register __d1 APTR mem, register __d2 struct PluginInit *plg);
void __saveds ASM FXPlug_Filter(register __d1 struct PluginFilter *plf);
void __saveds ASM FXPlug_OpenFilterGUI (register __d1 struct PluginGUI *pog);
void __saveds ASM FXPlug_HandleFilterGUI (register __d1 struct PluginGUI *pog);
void __saveds ASM FXPlug_CloseFilterGUI (register __d1 struct PluginGUI *pog);
struct PluginImageInfo * __saveds ASM FXPlug_Identify_Image(register __d1 struct PluginIdent *pid);
struct fsbitmap * __saveds ASM FXPlug_Load_Image(register __d1 struct PluginLoadImage *pli);
BOOL __saveds ASM FXPlug_Save_Image(register __d1 struct PluginSaveImage *psi);
void __saveds ASM FXPlug_Handle_Ports(register __d1 struct PluginHandlePorts *php);
void __saveds ASM FXPlug_Bye(register __d1 struct PluginBye *plb);
BOOL __saveds ASM FXPlug_Launch(register __d1 struct PluginLaunch *pll);
BOOL __saveds ASM FXPlug_rendergfx_rp(register __d1 struct RastPort *rp, register __d2 struct Screen *scr, register __d3 struct fsbitmap *fsb, register __d4 long xpos, register __d5 long ypos, register __d6 struct PluginInit *pli);
BOOL __saveds ASM FXPlug_PluginSetRegister (register __d1 struct PluginReg *pr);

